Search documentation of wx

# View Source wxColourPickerEvent (wx v2.4.2)

Functions for wxColourPickerEvent class

This event class is used for the events generated by `wxColourPickerCtrl`.

See: `wxColourPickerCtrl`

This class is derived (and can use functions) from: `wxCommandEvent` `wxEvent`

wxWidgets docs: wxColourPickerEvent

## Events

Use `wxEvtHandler:connect/3` with `wxColourPickerEventType` to subscribe to events of this type.

# Summary

## Types

wxColourPicker()
wxColourPickerEvent()
wxColourPickerEventType()

## Functions

getColour(This)

Retrieve the colour the user has just selected.

# Types

Link to this type

# wxColourPicker()

View Source

    -type wxColourPicker() ::
              #wxColourPicker{type :: wxColourPickerEvent:wxColourPickerEventType(),
                              colour :: wx:wx_colour()}.

Link to this type

# wxColourPickerEvent()

View Source

    -type wxColourPickerEvent() :: wx:wx_object().

Link to this type

# wxColourPickerEventType()

View Source

    -type wxColourPickerEventType() :: command_colourpicker_changed.

# Functions

Link to this function

# getColour(This)

View Source

    -spec getColour(This) -> wx:wx_colour4() when This :: wxColourPickerEvent().

Retrieve the colour the user has just selected.